<?php
/*
+===========================================+
|      ArabPortal V2.1.x Copyright © 2006   |
|   -------------------------------------   |
|                                           |
|            By Rafia AL-Otibi              |
|                    And                    |
|              Arab Portal Team             |
|   -------------------------------------   |
|      Web: http://www.ArabPortal.Net       |
|   -------------------------------------   |
|  Last Updated: 22/10/2006 Time: 10:00 PM  |
+===========================================+
*/
if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }

if(!$_POST[save]){
$admin->head();
echo "<table border=0 width=80% cellspacing=2 cellpadding=6>
  <tr>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=RSS&modid=$modid&$session><b>الصفحة الرئيسية</b></a></td>
    <td disabled align=center class=datacell><a href=mod.php?act=edit&mod=RSS&modid=$modid&op=add&$session><b>اضف موقع جديد</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=RSS&modid=$modid&op=myrss&$session><b>عناوين خلاصاتي</b></a></td>
  </tr>
</table>
<br>";

echo "
<script language=javascript>
function checkForm(){
	if (!document.addf.sitename.value) {
		alert('عفوا ... انت لم تقم بكتابة اسم للموقع'); 
		return false;
	} 
	if (!document.addf.xmlurl.value) {
		alert('عفوا ... انت لم تقم بكتابة وصلة RSS للموقع'); 
		return false;
	} 
	var x=document.addf.feedtime.options[document.addf.feedtime.selectedIndex].value
	if (x==''){
		alert('عفوا ... انت لم تقم بإختيار وقت تحديث الاخبار'); 
		return false;
	}	
	var xx=document.addf.feedorder.options[document.addf.feedorder.selectedIndex].value
	if (xx==''){
		alert('عفوا ... انت لم تقم بإختيار ترتيب للموقع'); 
		return false;
	}	
}
</script>
";
            $admin->opentable("اضافة موقع اخبار جديد");
			echo "<form onsubmit='return checkForm(this)' name=addf action='mod.php?act=edit&mod=RSS&modid=$modid&op=add&$session' method=post>";
            $admin->inputtext("اسم الموقع الجديد","sitename",$sitename);
            $admin->inputtext("عنوان الموقع الجديد","xmlurl",$xmlurl);
		echo "<tr><td class=datacell width=33%><p class=fontablt>عدد المواضيع :</b></td>
		<td class=datacell width=72%>
		<select name=count dir=rtl>
		<option value=0>كل المواضيع</option>
		<option value=1>موضوع واحد</option>
		<option value=5>5 مواضيع</option>
		<option value=10>10 مواضيع</option>
		<option value=15>15 موضوع</option>
		<option value=20>20 موضوع</option>
		</select></td></tr>";
			echo "<tr><td class=datacell width=33%><p class=fontablt>وقت التحديث :</b><br>لا تضع اختيارك على (مباشر) الا في حالة كان الموقع نشيطا جدا</td>
		<td class=datacell width=72%>
		<select name=feedtime dir=rtl>
		<option selected>اختر وقت التحديث</option>
		<option value='0'>مباشر</option>
		<option value='1800'>كل نصف ساعة</option>
		<option value=3600'>كل ساعة</option>
		<option value=10800'>كل 3 ساعات</option>
		<option value=21600'>كل 6 ساعات</option>
		<option value=43200'>كل 12 ساعة</option>
		<option value=86400>كل 24 ساعة</option>
		</select></td></tr>";
            $admin->selectnum("الترتيب","feedorder","",'1','15');
            $admin->inputhidden('save','1');
            $admin->closetable();
            $admin->submit("اضافة");

}elseif($_POST[save]){
$res = mysql_query ("insert into rafia_rss values('','$_POST[xmlurl]','$_POST[sitename]','','$_POST[feedorder]','$_POST[feedtime]','','$_POST[count]')");
$admin->head();
if($res){
modmsg("تم اضافة الموقع الجديد بنجاح","mod.php?act=edit&mod=RSS&modid=$modid&op=index&$session");
}else{
	modmsg("حصل خطأ عند اضافة الموقع الجديد","mod.php?act=edit&mod=RSS&modid=$modid&op=add&$session");
}
}
?>